// 发送验证码
export const sendVerification = {
  url: '/sms/sendVerifyCode',
  method: 'GET',
  dealReqData: ({ phone, type }) => {
    return { phone, type }
  }
}
// 注册账号
export const registeredNumber = {
  url: '/merchantApply/register',
  method: 'POST',
  dealReqData: ({ phone, code }) => {
    return { phone, code }
  }
}
// 查询进度(手机号)
export const searchShop = {
  url: '/merchantApply/applyProgressQuery',
  method: 'GET',
  dealReqData: ({ phone, code }) => {
    return { phone, code }
  }
}
// 完善商户信息
export const improveInfo = {
  url: '/merchantApply/improveInfo',
  method: 'PUT',
  dealReqData: (merchantDTO) => {
    return merchantDTO
  }
}
// 查询省
export const getProvincelist = {
  url: '/merchantApply/provincelist',
  method: 'GET'
}
// 查询市
export const getCityList = {
  url: '/merchantApply/citylist',
  method: 'GET',
  dealUrl: (url, provinceCode) => {
    return `${url}?provinceCode=${provinceCode}`
  }
}
// 查询区
export const getAreaList = {
  url: '/merchantApply/countylist',
  method: 'GET',
  dealUrl: (url, cityCode) => {
    return `${url}?cityCode=${cityCode}`
  }
}
// 签约
export const merchantApply = {
  url: '/merchantApply/sign',
  method: 'GET',
  dealReqData: ({ phone, token }) => {
    return { phone, token }
  }
}
// 查询进度 接口参数已变
export const applyStatusByToken = {
  url: '/merchantApply/getApplyProgressByPhoneAndToken',
  method: 'GET',
  dealReqData: ({ phone, token }) => {
    return { phone, token }
  }
}
export const registerPay = {
  url: '/merchantApply/registerPay',
  method: 'PUT',
  dealUrl: (url, phone) => {
    return `${url}?phone=${phone}`
  }
}
export const pwdset = {
  url: '/merchantApply/pwdset',
  method: 'PUT',
  dealReqData: ({ phone, token, pwd, pwd2 }) => {
    return { phone, token, pwd, pwd2 }
  }
}
// 修改密码验证码
export const sendAuthSms = {
  url: '/sms/sendVerifyCode',
  method: 'GET',
  dealReqData: ({ phone, type }) => {
    return { phone, type }
  }
}
// 修改密码验证身份
export const authentication = {
  url: '/homePage/authentication',
  method: 'GET',
  dealReqData: ({ phone, code }) => {
    return { phone, code }
  }
}
// 修改密码
export const repairPwd = {

  url: '/personalInfo/repairPwd',
  method: 'PUT',
  dealReqData: ({ phone, code, newPwd, newPwd2, pwd, token, type }) => {
    return { phone, code, newPwd, newPwd2, pwd, token, type }
  }
}
export const getIsInitPwd = {
  url: '/personalInfo/isInitPwd',
  method: 'GET'
}
// 店铺中心-模糊查询
export const shopPermissionFuzzyQueryByName = {
  url: '/shop/shopPermission/fuzzyQueryByName',
  method: 'GET',
  dealReqData: ({ shopName }) => {
    return { shopName }
  }
}